org.eclipse.graphiti.ui.internal.editor

## Class DomainModelChangeListener

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.editor.DomainModelChangeListener

All Implemented Interfaces:
  EventListener, org.eclipse.emf.transaction.ResourceSetListener

    public class DomainModelChangeListener
    extends Object
    implements org.eclipse.emf.transaction.ResourceSetListener

Listener for BO changes in an EMF model linked to a diagram.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.ResourceSetListener

`org.eclipse.emf.transaction.ResourceSetListener.Internal`

### Constructor Summary

Constructors
Constructor and Description
`DomainModelChangeListener(DiagramBehavior diagramBehavior)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.transaction.NotificationFilter` `getFilter()`
`boolean` `isAggregatePrecommitListener()`
`boolean` `isPostcommitOnly()`
`boolean` `isPrecommitOnly()`
`void` `resourceSetChanged(org.eclipse.emf.transaction.ResourceSetChangeEvent event)`
`org.eclipse.emf.common.command.Command` `transactionAboutToCommit(org.eclipse.emf.transaction.ResourceSetChangeEvent event)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DomainModelChangeListener

    public DomainModelChangeListener(DiagramBehavior diagramBehavior)

### Method Detail

#### getFilter

    public org.eclipse.emf.transaction.NotificationFilter getFilter()

Specified by:
  `getFilter` in interface `org.eclipse.emf.transaction.ResourceSetListener`

#### isAggregatePrecommitListener

    public boolean isAggregatePrecommitListener()

Specified by:
  `isAggregatePrecommitListener` in interface `org.eclipse.emf.transaction.ResourceSetListener`

#### isPostcommitOnly

    public boolean isPostcommitOnly()

Specified by:
  `isPostcommitOnly` in interface `org.eclipse.emf.transaction.ResourceSetListener`

#### isPrecommitOnly

    public boolean isPrecommitOnly()

Specified by:
  `isPrecommitOnly` in interface `org.eclipse.emf.transaction.ResourceSetListener`

#### resourceSetChanged

    public void resourceSetChanged(org.eclipse.emf.transaction.ResourceSetChangeEvent event)

Specified by:
  `resourceSetChanged` in interface `org.eclipse.emf.transaction.ResourceSetListener`

#### transactionAboutToCommit

    public org.eclipse.emf.common.command.Command transactionAboutToCommit(org.eclipse.emf.transaction.ResourceSetChangeEvent event)
                                                                    throws org.eclipse.emf.transaction.RollbackException

Specified by:
  `transactionAboutToCommit` in interface `org.eclipse.emf.transaction.ResourceSetListener`
Throws:
  `org.eclipse.emf.transaction.RollbackException`